Subject: Re: [edu-team] OAM tutorial: any TOC?

From: Benoit Claise <[email-masked]>
Date: Tue, 28 Jun 2016 15:08:03 +0200

Hi Ignas,

Do you still have plans to prepare an OAM tutorial? Obviously, for IETF 
97 at this point.
If yes, please come up with something _concrete _to show to the EDU team 
during the IETF meeting in Berlin.

Regards, Benoit
> Thanks Carlos.
>
> Note: I recently realized that 
> https://www.ietf.org/edu/technical-tutorials.html#opsandmanagement is 
> really about "Operations, Maintenance and Administration (OAM) Tutorial"
>
> Surely things to be reused/improved, with Tissa permission.
>
> Regards, B.
>> I¹m happy to help out ‹ not for Berlin but for after.
>>
>> -----Original Message-----
>> From: Benoit Claise <[email-masked]>
>> Date: Tuesday, May 17, 2016 at 10:32 AM
>> To: Ignas Bagdonas <[email-masked]>
>> Cc: Dan Romascanu <[email-masked]>, Mirjam Kuehne <[email-masked]>,
>> Benoit Claise <[email-masked]>, "[email-masked]"
>> <[email-masked]>
>> Subject: Re: OAM tutorial: any TOC?
>> Resent-From: <[email-masked]>, <[email-masked]>
>> Resent-To: Carlos Pignataro <[email-masked]>, Ronald Bonica
>> <[email-masked]>, <[email-masked]>
>> Resent-Date: Tuesday, May 17, 2016 at 10:32 AM
>>
>>> Hi Ignas,
>>>
>>> Obviously we're late for this coming IETF meeting.
>>> What about for next one? Let me copy Carlos and Ron, the LIME chairs,
>>> who might be able to help.
>>>
>>> If you're still up to for a training, I advice you to start working on
>>> the content now.
>>>
>>> Regards, Benoit
>>>> Hi Ignas,
>>>>
>>>> Any answer?
>>>>
>>>> Regards, Benoit
>>>>> On 4/18/2016 3:44 PM, Ignas Bagdonas wrote:
>>>>>> Hi Benoit,
>>>>>>
>>>>>> LIME was not forgotten - it is just different. LIME does not define
>>>>>> protocols, therefore it is not in the protocol mechanics part, it
>>>>>> does not necessary intoroduce new concepts. Yes, it should be
>>>>>> somewhere in the overall content, likely in the use cases part, or
>>>>>> as a separate part completely.
>>>>>>
>>>>>> TWAMP, as well as overall measurement framework, should be included
>>>>>> in IP part.
>>>>>>
>>>>>> Yes, this is a large amount of content to cover and squeeze into a
>>>>>> short period of time. Some parts of the content have been addressed
>>>>>> for specific previous internal trainings that have been done for
>>>>>> specific purposes and deployments, but those all are fragments. The
>>>>>> goal is not to push this quickly, but instead to do this well. That
>>>>>> will require time.
>>>>> Understood.
>>>>> Working with EDU, we need to understand if you would be ready for
>>>>> Berlin.
>>>>>
>>>>> Regards, B.
>>>>>
>>>>>> Ignas
>>>>>>
>>>>>>
>>>>>>
>>>>>> On 18/04/2016 08:42, Benoit Claise wrote:
>>>>>>> Hi Ignas,
>>>>>>>
>>>>>>> [copying Dan, as EDU member and someone knowledgeable in OPS, among
>>>>>>> other things]
>>>>>>>
>>>>>>> Yes, TOC = Table of Content.
>>>>>>>
>>>>>>> There is one important aspect missing: LIME.
>>>>>>> Also, TWAMP (and to a lesser extend: IP SLA)
>>>>>>>
>>>>>>> Finally, this is a big task, and you should seek for help for this
>>>>>>> tutorial.
>>>>>>>
>>>>>>> Regards, B.
>>>>>>>> Hi Benoit,
>>>>>>>>
>>>>>>>> Sorry, cleaning up the backlog of things after the IETF.
>>>>>>>>
>>>>>>>> Not certain whether TOC is table of contents?
>>>>>>>>
>>>>>>>>
>>>>>>>> Three large parts, either repeated for each OAM mechanism, or all
>>>>>>>> covered sequentially and then moving to another part - technology
>>>>>>>> specific environment and OAM concepts relevant to it, OAM protocol
>>>>>>>> mechanics, and use cases and design with focus on OAM.
>>>>>>>>
>>>>>>>> 1. OAM concepts. What does it cover, what are the pain areas, why
>>>>>>>> traceroute does not necessary show what is actually happening, why
>>>>>>>> BFD does not detect failures, why end to end OAM is hard and what
>>>>>>>> it takes to make it to work, how cross-layer OAM mechanisms could
>>>>>>>> and should work, and similar aspects, based on simple realistic
>>>>>>>> fragments of technologies used in real life. By looking into
>>>>>>>> different technology domain specific aspects, the concepts of OAM
>>>>>>>> mechanisms are introduced as they are applicable (what is
>>>>>>>> continuity, how is it different from connectifity, channels,
>>>>>>>> inband and out of band, forward and reverse path congruency,
>>>>>>>> unidirectional aspects, multipath, endpoints and midpoints in
>>>>>>>> different technology domains, and so on).
>>>>>>>>
>>>>>>>> 2. Protocol mechanics. Detailed look into overall architecture of
>>>>>>>> specific OAM tool, how it works, how it interacts with layers
>>>>>>>> below and above, how does it map to different topologies, what are
>>>>>>>> the restrictions and functionality demands on network itself, how
>>>>>>>> is the final result achieved, what are the operational aspects -
>>>>>>>> bootstrap, resource usage, control and data plane coupling if any,
>>>>>>>> etc. How functionality gets mapped to what is seen operationally.
>>>>>>>>
>>>>>>>> 3. USe cases. How it can be used with specific technologies and
>>>>>>>> network topologies, what are the caveats and restrictions.
>>>>>>>>
>>>>>>>> For the list of topics to cover - I would see SONET, ATM (F4/F5
>>>>>>>> concepts in SVC environment), IP (ICMP, BFD), MPLS (MPLS OAM),
>>>>>>>> pseudowires (ACh), MPLS-TP, possibly GMPLS for LMP, TRILL (copy
>>>>>>>> and forward), SFC, NVO3, BIER, and possibly Fibre Channel.
>>>>>>>>
>>>>>>>> A working document of topics and areas to cover attached.
>>>>>>>>
>>>>>>>>
>>>>>>>> Ignas
>>>>>>>>
>>>>>>>>
>>>>>>>>
>>>>>>>>
>>>>>>>> On 14/04/2016 14:18, Benoit Claise wrote:
>>>>>>>>> Regards, Benoit
>>>>>> .
>>>>>>
>>>>> .
>>>>>
>> .
>>
>
> .
>